### File

`packages/eui-mobile/packages/core/src/lib/components/layout/euim-toolbar/euim-toolbar.component.ts`

### Implements

`OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `euim-toolbar`
styleUrls | `./styles/_index.scss`
templateUrl | `euim-toolbar.component.html`

### Index

###### Properties

- className

###### Methods

- onBackButtonClick

###### Inputs

- backButtonDefaultHref
- hasBackButton
- hasLanguageSelector
- hasSidebarTrigger
- ionMenuId

###### Outputs

- backButtonClick

###### HostBindings

- className

### Inputs

backButtonDefaultHref
Type : `string`
Default value : `'/'`

hasBackButton
Type : `boolean`
Default value : `true`

hasLanguageSelector
Type : `boolean`
Default value : `false`

hasSidebarTrigger
Type : `boolean`
Default value : `false`

ionMenuId
Type : `string`
Default value : `'main'`

### Outputs

backButtonClick
Type : `EventEmitter<Event>`

### HostBindings

className
Type : `string`
Default value : `'euim-toolbar'`

### Methods

onBackButtonClick
`onBackButtonClick(event: Event)`

Parameters :

Name | Type | Optional
event | `Event` | No

Returns : `void`

### Properties

className
Type : `string`
Default value : `'euim-toolbar'`
Decorators : `@HostBinding()`

# results matching ""

# No results matching ""